Skip to main content
PATCH
/
reviews
/
{id}
Update review
curl --request PATCH \
  --url https://api.crevio.co/v1/reviews/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_name": "<string>",
  "rating": 123,
  "content": "<string>",
  "position": 123
}
'
{
  "id": "<string>",
  "object": "<string>",
  "rating": 123,
  "customer_name": "<string>",
  "content": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "customer_image_url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.crevio.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Body

application/json
customer_name
string | null
rating
integer
content
string | null
position
integer

Response

Review updated

id
string
required
object
string
required
rating
integer
required
customer_name
string | null
required
content
string | null
required
created_at
string<date-time>
required
customer_image_url
string | null
required